---
title: "List all calls in a folder"
slug: "list-of-calls-in-a-specific-folder-v2libraryfolder-content-2"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List of calls in a specific folder (/v2/library/folder-content)

Get/v2/library/folder-content

Given a folder id, this endpoint retrieves a list of calls in it.

Required authorizaton scope: 'api:library:read'.

Query parametersfolderIdstring

Gong's unique numeric identifier for the folder (up to 20 digits).

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='35424bee-6b63-4703-89e0-7603044b0860'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
idstring    

Gong's unique numeric identifier for a library's folder (up to 20 digits).

Example3843152912968920037
namestring    

Display name of the folder.

ExampleSales Onboarding
createdBystring    

Gong's unique numeric identifier for the user who added the folder.

Example234599484848423
updatedstring  (date-time)    

Folder's last update time in the ISO-8601 format (e.g., '2020-03-14T05:30:00-08:00').

Example2020-03-14T13:30:00Z
calls Array of object (LibraryCall)   

A list, in which each item represents one library call.

object  

Basic details such as id, title, notes, etc.

idstring    

Gong's unique numeric identifier of a call (up to 20 digits).

Example7782342274025937895
titlestring    

The title of the call.

ExampleExample call
notestring    

A note attached to the call in the folder. The note is optional.

Examplesample note
addedBystring    

Gong's unique numeric identifier for the user who added the call to folder.

Example234599484848423
createdstring  (date-time)    

The date and time when the call was added to folder in the ISO-8601 format (e.g., '2020-01-12T14:30:00-08:00').

Example2020-01-12T22:30:00Z
urlstring    

URL of the call.

Examplehttps://app.gong.io/call?id=3636865806219496180&highlights=%5B%7B%22to%22%3A+3240%2C+%22from%22%3A+1200%2C+%22type%22%3A+%22LIBRARY%22%7D%5D
snippetobject (Snippet)  

Snippet of call

fromSecinteger  (int32)    

Call snippet start in seconds relative to the call start time. For example 305 is a snippet that starts after 5 minutes and 5 seconds after the beginning of the call.

Example21
toSecinteger  (int32)    

Call snippet end in seconds relative to the call start time. For example 900 means that this snippet ends after exactly 15 minutes after the beginning of the call.

Example132

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='b8f2e663-b95c-4bf0-b1bb-d5175b8a4385'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='7aa76960-1c78-42d6-bb10-a091fd6fc4ff'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

No folders found for the specified period

<select class='api-response-data' aria-label='Media type'><option value='9fbb9911-6b35-4cd9-9b33-f2501da1494c'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='3cbcbbe5-ce0f-4766-b9bb-ca27bbe399ae'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='8cb22dec-3e81-462e-8a1c-fb2738367f64'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
